Open Lighting Architecture: ola::plugin::usbdmx::DMXCProjectsNodleU1Factory Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::usbdmx::DMXCProjectsNodleU1Factory Class Reference

## Detailed Description

Creates Nodle widgets.

Inheritance diagram for ola::plugin::usbdmx::DMXCProjectsNodleU1Factory:

## Public Member Functions
| DMXCProjectsNodleU1Factory (ola::usb::LibUsbAdaptor *adaptor, PluginAdaptor *plugin_adaptor, Preferences *preferences)
bool | DeviceAdded (WidgetObserver *observer, libusb_device *usb_device, const struct libusb_device_descriptor &descriptor)
| Called when a new USB device is added.
Public Member Functions inherited from ola::plugin::usbdmx::BaseWidgetFactory< class DMXCProjectsNodleU1 >
| BaseWidgetFactory (const std::string &name)
std::string | Name () const
| The name of this factory.

## Additional Inherited Members
Protected Member Functions inherited from ola::plugin::usbdmx::BaseWidgetFactory< class DMXCProjectsNodleU1 >
bool | AddWidget (WidgetObserver *observer, class DMXCProjectsNodleU1 *widget)
| Initialize a widget and notify the observer.

## Member Function Documentation

## ◆ DeviceAdded()

bool ola::plugin::usbdmx::DMXCProjectsNodleU1Factory::DeviceAdded | ( | WidgetObserver * | observer,
|  | libusb_device * | usb_device,
|  | const struct libusb_device_descriptor & | descriptor )
| virtual

Called when a new USB device is added.

Parameters

  observer | The WidgetObserver to notify if this results in a new widget.
  usb_device | the libusb_device that was added.
  descriptor | the libusb_device_descriptor that corresponds to the usb_device.

Returns
  True if this factory has claimed the usb_device, false otherwise.

Implements ola::plugin::usbdmx::WidgetFactory.

The documentation for this class was generated from the following files:

- plugins/usbdmx/DMXCProjectsNodleU1Factory.h
- plugins/usbdmx/DMXCProjectsNodleU1Factory.cpp